# $Revision: 1.56 $, $Date: 2011/09/08 12:50:38 $
#
# Conditional build:
%bcond_without	gnome	# disable all GNOME components
#
%define		orgname	goffice
#
Summary:	Glib/Gtk+ set of document centric objects and utilities
Summary(pl.UTF-8):	Zestaw zorientowanych dokumentowo obiektów i narzędzi Glib/Gtk+
Name:		libgoffice
Version:	0.8.17
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/goffice/0.8/%{orgname}-%{version}.tar.bz2
# Source0-md5:	b4c924457163e02daf8a8d2428f51d10
URL:		http://www.gtk.org/
BuildRequires:	GConf2-devel >= 2.20.0
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.2.4
BuildRequires:	gettext-devel
%{?with_gnome:BuildRequires:	gnome-common >= 2.20.0}
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libart_lgpl-devel >= 2.3.11
BuildRequires:	libglade2-devel >= 1:2.6.2
%{?with_gnome:BuildRequires:	libgnomeui-devel >= 2.20.0}
%{?with_gnome:BuildRequires:	libgsf-gnome-devel >= 1.14.6}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
%{?with_gnome:Requires:	libgsf-gnome >= 1.14.6}
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GOffice - a Glib/Gtk+ set of document centric objects and utilities.

%description -l pl.UTF-8
GOffice - Zestaw zorientowanych dokumentowo obiektów i narzędzi
Glib/Gtk+.

%package devel
Summary:	Header files for GOffice library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GOffice
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.12.0
Requires:	libart_lgpl-devel >= 2.3.11
Requires:	libglade2-devel >= 1:2.6.2
Requires:	libgsf-gnome-devel >= 1.14.6
Requires:	libxml2-devel >= 1:2.6.26

%description devel
This is the package containing the header files for GOffice.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe GOffice.

%package static
Summary:	Static GOffice library
Summary(pl.UTF-8):	Statyczna biblioteka GOffice
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GOffice library.

%description static -l pl.UTF-8
Statyczna biblioteka GOffice.

%package apidocs
Summary:	GOffice library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki GOffice
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GOffice library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GOffice.

%prep
%setup -qn %{orgname}-%{version}

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	%{?with_gnome:--with-gnome} \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/goffice/%{version}/plugins/*/*.{a,la} \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{orgname}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{orgname}-%{version}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libgoffice-0.8.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgoffice-0.8.so.8
%dir %{_libdir}/goffice
%dir %{_libdir}/goffice/%{version}
%dir %{_libdir}/goffice/%{version}/plugins
%dir %{_libdir}/goffice/%{version}/plugins/*
%attr(755,root,root) %{_libdir}/goffice/%{version}/plugins/*/*.so
%{_libdir}/goffice/%{version}/plugins/*/*.xml
%{_libdir}/goffice/%{version}/plugins/*/*.ui
%{_datadir}/goffice
%{_pixmapsdir}/goffice

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgoffice-0.8.so
%{_includedir}/libgoffice-0.8
%{_pkgconfigdir}/libgoffice-0.8.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgoffice-0.8.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/goffice-0.8

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgoffice.spec,v $
Revision 1.56  2011/09/08 12:50:38  lisu
- updated to 0.8.17

Revision 1.55  2011/06/21 09:14:44  lisu
- updated to 0.8.16

Revision 1.54  2011/05/24 08:57:55  lisu
- updated to 0.8.15
- verbose build

Revision 1.53  2011/03/28 14:02:05  lisu
- 0.8.14

Revision 1.52  2011/03/23 16:41:04  wiget
- drop libtool file
- rel. 2

Revision 1.51  2011/02/03 15:26:46  lisu
- up to 0.8.13

Revision 1.50  2011/01/28 13:40:31  sparky
- adapter: fixed broken cvs keywords

Revision 1.49  2010/12/08 10:19:42  lisu
- 0.8.12

Revision 1.48  2010/10/04 12:55:18  lisu
- 0.8.11

Revision 1.47  2010/09/06 07:14:23  lisu
- 0.8.10

Revision 1.46  2010/08/17 10:38:58  lisu
- 0.8.9

Revision 1.45  2010/08/02 07:22:24  lisu
- 0.8.8

Revision 1.44  2010/07/12 11:35:53  lisu
- 0.8.7

Revision 1.43  2010/06/17 14:45:39  lisu
- 0.8.6

Revision 1.42  2010/05/31 10:25:29  lisu
- up to 0.8.5

Revision 1.41  2010/05/24 09:47:44  lisu
- 0.8.4

Revision 1.40  2010/05/10 08:37:10  lisu
- 0.8.3

Revision 1.39  2010/04/19 08:53:08  lisu
- 0.8.2

Revision 1.38  2010/03/10 09:13:02  lisu
- updated to 0.8.1

Revision 1.37  2010/02/18 10:05:56  lisu
- clean up
- add URL

Revision 1.36  2010/02/18 10:02:03  lisu
- up to 0.8.0
- merge with DEVEL
- GPL v2+ license
- files updated

Revision 1.35  2010/02/16 23:31:07  sparky
- dropped unused BR: pcretest

Revision 1.34  2010/02/16 22:20:05  ankry
- cleaning

Revision 1.33  2010/01/30 11:44:42  megabajt
- release 2

Revision 1.32  2009/06/21 13:10:17  hawk
- reverted to version 0.6.6, 0.7.x is DEVEL

Revision 1.31  2009/06/10 08:26:14  amateja
- updated to 0.7.7

Revision 1.30  2009/06/10 07:49:38  amateja
- updated to 0.6.6

Revision 1.29  2008/11/10 22:15:54  megabajt
- release 2

Revision 1.28.2.2  2008/10/28 08:55:45  duddits
- up to 0.7.2
- apidocs path updated

Revision 1.28.2.1  2008/07/08 11:11:39  patrys
- 0.7.0

Revision 1.28  2008-05-12 14:33:38  megabajt
- updated to 0.6.4

Revision 1.27  2008-03-26 19:49:19  qboosh
- unified

Revision 1.26  2008-03-26 19:42:26  grym3k
- update to 0.6.2
- add without gnome bcond

Revision 1.25  2007-12-31 21:33:23  megabajt
- updated to 0.6.1
- added apidocs subpackage
- renamed sr@Latn to sr@latin

Revision 1.24  2007-12-27 00:24:16  zbyniu
- up to 0.5.4

Revision 1.23  2007-11-04 13:31:58  wiget
- updated to 0.5.1

Revision 1.22  2007/09/07 15:28:31  qboosh
- pango epoch

Revision 1.21  2007/09/07 15:15:32  patrys
- 0.5.0

Revision 1.20  2007/09/06 19:46:50  aflinta
- up to 0.5.0

Revision 1.19  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.17  2006/10/04 21:01:03  grzegol
- 0.3.1

Revision 1.16  2006/07/14 21:30:15  freetz
- include release in changelog

Revision 1.15  2006/07/14 21:29:22  freetz
- updated deps, --as-needed support, rel.3

Revision 1.14  2006/07/11 10:23:09  jareq
- rebuild with libpng
- rel 2
- STBR to NEST

Revision 1.13  2006/06/10 21:48:05  freetz
- 0.3.0, bleeding edge deps, updated file list

Revision 1.12  2006/03/23 19:59:45  freetz
- 0.2.1

Revision 1.11  2006/01/31 21:02:09  freetz
- 0.2.0

Revision 1.10  2005/11/14 16:35:49  freetz
- 0.1.2

Revision 1.9  2005/11/08 09:09:08  freetz
- 0.1.1

Revision 1.8  2005/10/29 06:46:30  ankry
- remove unsupported duplicated locale, rel. 2

Revision 1.7  2005/10/10 15:33:38  freetz
- 0.1.0, bumped libgsf BRs/Rs

Revision 1.6  2005/09/08 14:21:49  aflinta
- 0.0.4

Revision 1.5  2005/08/16 10:11:37  freetz
- 0.0.3, updated BRs/Rs

Revision 1.4  2005/07/21 16:35:31  qboosh
- missing dirs

Revision 1.3  2005/07/21 16:31:14  freetz
- no *.{a,la} in plugins, more .so perms

Revision 1.2  2005/07/12 19:33:22  qboosh
- missing pl, .so perms

Revision 1.1  2005/07/11 15:19:15  freetz
- initial
